commit:     05ad9f28a38af634e574c5880c498ebda6095698
Author:     Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Mon Dec 28 23:07:53 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 01:54:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05ad9f28

media-libs/gegl: 0.4.28 version bump

Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-libs/gegl/Manifest           |   1 +
 media-libs/gegl/gegl-0.4.28.ebuild | 165 +++++++++++++++++++++++++++++++++++++
 2 files changed, 166 insertions(+)

diff --git a/media-libs/gegl/Manifest b/media-libs/gegl/Manifest
index fa3e8a6ff06..323c9c511d6 100644
--- a/media-libs/gegl/Manifest
+++ b/media-libs/gegl/Manifest
@@ -1,2 +1,3 @@
 DIST gegl-0.4.24.tar.xz 4937056 BLAKE2B 
a6237d0642713e2dc6fb5aa889dea31aad688608b99e985d69dfa43580caae634a6fc41ff050372d8b364f2f002e260335159325c01f73a10719c3d1bda70d36
 SHA512 
09d857332eeabe39327d312b1a1692b7c6c9f8f952ae3e3cc06b5a5c262757d8b86467c25a4e66c90c37922fd3548fc1342a9864732d17924f97e7b6c6c1786d
 DIST gegl-0.4.26.tar.xz 4942492 BLAKE2B 
656a9c0d339d136f3f2efbb1484fbfea27deab241821503b31d74b015fe8766ee8d931ea0bf1a354200581bc54fea307a2cfb9b469e73a211a77d109d33707f3
 SHA512 
634778df0060ffe630121c24044a6ddcc7f2de0ff61b02be24db4054c6f3def24373b28dd1152d62882d58383a3aa7a1f74cd5b743a299fd0719a2a2ff992d24
+DIST gegl-0.4.28.tar.xz 4966580 BLAKE2B 
fcf4fb0e4fac0357d25987348c6abe2434db17bd974ab39f15c3e11a6a6ee8630469d0b53fe2cc76a3af90c9b3a6ba88972301d6fac8df693f5fa12919e0bfa0
 SHA512 
ad02dc4e4ff7c5beddb3cc8e1c05b6f858e7164dfd239bada70cc138a541a36f82c0e415c6fb81d4799ae8acdcb95ddb607c6b24481a73c5ae0d6e87c73fdbb7

diff --git a/media-libs/gegl/gegl-0.4.28.ebuild 
b/media-libs/gegl/gegl-0.4.28.ebuild
new file mode 100644
index 00000000000..b6103513bd3
--- /dev/null
+++ b/media-libs/gegl/gegl-0.4.28.ebuild
@@ -0,0 +1,165 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+# vala and introspection support is broken, bug #468208
+VALA_USE_DEPEND=vapigen
+
+inherit meson gnome2-utils python-any-r1 vala
+
+if [[ ${PV} == *9999* ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://gitlab.gnome.org/GNOME/gegl.git";
+       SRC_URI=""
+else
+       SRC_URI="https://download.gimp.org/pub/${PN}/${PV:0:3}/${P}.tar.xz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~x86 
~amd64-linux ~x86-linux"
+fi
+
+DESCRIPTION="A graph based image processing framework"
+HOMEPAGE="https://gegl.org/";
+
+LICENSE="|| ( GPL-3+ LGPL-3 )"
+SLOT="0.4"
+
+IUSE="cairo debug ffmpeg introspection lcms lensfun openexr pdf raw sdl svg 
test tiff umfpack vala v4l webp"
+REQUIRED_USE="
+       svg? ( cairo )
+       test? ( introspection )
+       vala? ( introspection )
+"
+
+RESTRICT="!test? ( test )"
+
+# NOTE: Even current libav 11.4 does not have AV_CODEC_CAP_VARIABLE_FRAME_SIZE
+#       so there is no chance to support libav right now (Gentoo bug #567638)
+#       If it returns, please check prior GEGL ebuilds for how libav was 
integrated.  Thanks!
+RDEPEND="
+       >=dev-libs/glib-2.44:2
+       >=dev-libs/json-glib-1.2.6
+       >=media-libs/babl-0.1.84[introspection?,lcms?,vala?]
+       media-libs/libnsgif
+       >=media-libs/libpng-1.6.0:0=
+       >=sys-libs/zlib-1.2.0
+       virtual/jpeg:0=
+       >=x11-libs/gdk-pixbuf-2.32:2
+       >=x11-libs/pango-1.38.0
+       cairo? ( >=x11-libs/cairo-1.12.2 )
+       ffmpeg? ( media-video/ffmpeg:0= )
+       introspection? ( >=dev-libs/gobject-introspection-1.32:= )
+       lcms? ( >=media-libs/lcms-2.8:2 )
+       lensfun? ( >=media-libs/lensfun-0.2.5 )
+       openexr? ( >=media-libs/openexr-1.6.1:= )
+       pdf? ( >=app-text/poppler-0.71.0[cairo] )
+       raw? ( >=media-libs/libraw-0.15.4:0= )
+       sdl? ( >=media-libs/libsdl-1.2.0 )
+       svg? ( >=gnome-base/librsvg-2.40.6:2 )
+       tiff? ( >=media-libs/tiff-4:0 )
+       umfpack? ( sci-libs/umfpack )
+       v4l? ( >=media-libs/libv4l-1.0.1 )
+       webp? ( >=media-libs/libwebp-0.5.0:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       ${PYTHON_DEPS}
+       dev-lang/perl
+       >=dev-util/gtk-doc-am-1
+       >=sys-devel/gettext-0.19.8
+       >=sys-devel/libtool-2.2
+       virtual/pkgconfig
+       test? ( $(python_gen_any_dep 
'>=dev-python/pygobject-3.2:3[${PYTHON_USEDEP}]') )
+       vala? ( $(vala_depend) )
+"
+
+DOCS=( AUTHORS docs/ChangeLog docs/NEWS.txt )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.4.18-drop-failing-tests.patch
+       "${FILESDIR}"/${PN}-0.4.18-program-suffix.patch
+)
+
+python_check_deps() {
+       use test || return 0
+       has_version -b ">=dev-python/pygobject-3.2:3[${PYTHON_USEDEP}]"
+}
+
+src_prepare() {
+       default
+
+       # don't require Apple's OpenCL on versions of OSX that don't have it
+       if [[ ${CHOST} == *-darwin* && ${CHOST#*-darwin} -le 9 ]] ; then
+               sed -i -e 's/#ifdef __APPLE__/#if 0/' gegl/opencl/* || die
+       fi
+
+       # commit 7c78497b : tests that use gegl.png are broken on non-amd64
+       sed -e '/clones.xml/d' \
+               -e '/composite-transform.xml/d' \
+               -i tests/compositions/meson.build || die
+
+       # fix skipping mipmap tests due to executable not found
+       for item in "invert-crop.sh" "invert.sh" "rotate-crop.sh" "rotate.sh" 
"unsharp-crop.sh" "unsharp.sh"; do
+               sed -i "s:/bin/gegl:/bin/gegl-0.4:g" 
"${S}/tests/mipmap/${item}" || die
+               sed -i "s:/tools/gegl-imgcmp:/tools/gegl-imgcmp-0.4:g" 
"${S}/tests/mipmap/${item}" || die
+       done
+
+       # fix 'build'headers from *.cl on gentoo-hardened, bug 739816
+       pushd "${S}/opencl/" || die
+       for file in *.cl; do
+               if [ -f "$file" ]; then
+                       "${EPYTHON}" cltostring.py "${file}" || die
+               fi
+       done
+       popd || die
+
+       gnome2_environment_reset
+
+       use vala && vala_src_prepare
+}
+
+src_configure() {
+       local emesonargs=(
+               #  - Disable documentation as the generating is bit automagic
+               #    if anyone wants to work on it just create bug with patch
+               -Ddocs=false
+               -Dexiv2=disabled
+               -Dgdk-pixbuf=enabled
+               -Dgexiv2=disabled
+               #  - There are two checks for dot, one controllable by 
--with(out)-graphviz
+               #    which toggles HAVE_GRAPHVIZ that is not used anywhere.  
Yes.
+               -Dgraphviz=disabled
+               -Djasper=disabled
+               -Dlibjpeg=enabled
+               -Dlibpng=enabled
+               #  - libspiro: not in portage main tree
+               -Dlibspiro=disabled
+               -Dlua=disabled
+               -Dmrg=disabled
+               -Dpango=enabled
+               -Dsdl2=disabled
+               #  - Parameter -Dworkshop=false disables any use of Lua, 
effectivly
+               -Dworkshop=false
+               $(meson_feature cairo)
+               $(meson_feature cairo pangocairo)
+               $(meson_feature ffmpeg libav)
+               $(meson_feature lcms)
+               $(meson_feature lensfun)
+               $(meson_feature openexr)
+               $(meson_feature pdf poppler)
+               $(meson_feature raw libraw)
+               $(meson_feature sdl sdl1)
+               $(meson_feature svg librsvg)
+               $(meson_feature test pygobject)
+               $(meson_feature tiff libtiff)
+               $(meson_feature umfpack)
+               #  - v4l support does not work with our media-libs/libv4l-0.8.9,
+               #    upstream bug at 
https://bugzilla.gnome.org/show_bug.cgi?id=654675
+               $(meson_feature v4l libv4l)
+               $(meson_feature v4l libv4l2)
+               $(meson_feature vala vapigen)
+               $(meson_feature webp)
+               $(meson_use introspection)
+       )
+       meson_src_configure
+}

Reply via email to